/**/
body {
    font-size: 12px;
    color: black;
    background-color: #fff;
    font-family: "Open Sans",Helvetica,Arial,sans-serif;
}

p {
    display: block;
    margin: 0 0 10px;
}

.WYSIWYG  p {
    font-size: 30px;
}

.container-fluid {
    padding-right: 5px;
    padding-left: 5px;
    margin-right: auto;
    margin-left: auto;
}

address {
    margin-bottom: 5px;
}

.responsive {
    width: 100%;
    max-width: 100%;
    height: auto;
}

.navbar {
    min-height: 30px;
    margin-bottom: 0px;
    border-bottom: 1px solid darkgoldenrod;
}

.navbar-inverse {
    color: bisque;
    background-color: honeydew;
}

.navbar-inverse .navbar-nav>li>a {
    color: #322525;
    padding: 7px 10px 0px 10px;
}

.navbar-inverse .navbar-nav>li>a:focus, .navbar-inverse .navbar-nav>li>a:hover {
    color: black;
    background-color: transparent;
}

.navbar-inverse .navbar-brand:focus, .navbar-inverse .navbar-brand:hover {
    color: black;
    background-color: transparent;
}

.navbar-brand {
    float: left;
    padding: 8px 0px 0px 10px;
    line-height: 15px;
    height: auto;
    font-weight: bold;
    color: black;
    font-size: 13px;
}

.navbar-toggle {
    position: relative;
    float: right;
    padding: 0px 14px;
    margin-top: 3px;
    margin-right: 4px;
    margin-bottom: 3px;
    background-image: none;/* border: 1px solid transparent; */
    border-radius: 7px;
}

.navbar-inverse .navbar-toggle .icon-bar {
    background-color: #ec1212;
}

.navbar-inverse .navbar-toggle:focus, .navbar-inverse .navbar-toggle:hover {
    background-color: ghostwhite;
}

.navbar-toggle .icon-bar {
    width: auto;
}

.menu_click {
    cursor:pointer;
}

.dropdown-menu>li>a.menu_click:hover,  .dropdown-menu-large > li > ul > li > a.menu_click:hover {
    color:red;
}

#error_dialog {
    background-color: navajowhite;
    text-align: center;
}

.ui-dialog .ui-dialog-titlebar-close {
    display: none;
}

.ui-autocomplete-loading {
    /* background: white url("../images/ui-anim_basic_16x16.gif") right center no-repeat; */
    background: none;
}

.overlay {
    display: none;
    height: 100%;
    width: 100%;
    /*position: fixed;*/
    z-index: 1;
    margin-top: 35px;
    top: 0px;
    left: 0;
    background-color: #d9fffc;
    transition: 0.5s;
}

@media (min-width: 768px) {
    .navbar-nav>li>a {
        padding-top: 6px;
        /* padding-bottom: 15px; */
    }
}

.icon-wrapper{
    position:relative;
    float:left;
}

*.icon-blue {
    color: #0088cc
}

i {
    width: 20px;
    text-align:center;
    vertical-align:middle;
}
.badge{
    background: red;
    width: auto;
    height: auto;
    border-radius: 15% 44% 24% 44%;
    font-size: 10px;
    margin: 6px 3px 0px 0px;
}

.row {
    margin: 0px 0px 3px 0px;
    border: 1px solid transparent;
    border-radius: 4px;
    color: black;
    background-color: ghostwhite;
    border-color: #d6e9c6;
}

.row h3, .row h4 {
    color: darkcyan;
}

.panel-heading {
    color: #fff;
    background-color: #67997f;
    border-color: #337ab7;
    height: auto;
    padding: 0px 0px;
    min-height: 32px;
}

.panel-title {
    padding: 4px;
}

.panel-sub-title {
    font-size: 14px;
    font-weight: bold;
}

/* panel */
.panel {
    /* width: fit-content; */
}

.hr-primary{
    background-image: -webkit-linear-gradient(left, rgba(66,133,244,.8), rgba(66, 133, 244,.6), rgba(0,0,0,0));
    border-top-color: darkcyan;
    border-top-style: solid;
    border-top-width: 1px;
}

.header-icon-color {
    color: beige;
}

.btn-group-sm>.btn, .btn-sm {
    border-radius: 6px;
    border: #8a8383 1px solid;
    padding: 2px 5px;
}

/* form */
.form-inline .input-group {
    margin-bottom: 5px;
    vertical-align: top;
}

.form-control::-moz-placeholder{
    color:#b3eba0;
    font-style: italic;
    opacity:1
}
.form-control:-ms-input-placeholder{
    color:#b3eba0;
    color:lightskyblue;
    font-style: italic;
}
.form-control::-webkit-input-placeholder{
    color:lightskyblue;
    font-style: italic;
}

.form-inline .form-group {
    margin: 5px;
    background-color: aliceblue;
    vertical-align: top;
    display: flow-root;
    margin: 0px 0px 5px 0px;
    border: 1px solid transparent;
    border-radius: 4px;
    color: black;
    background-color: ghostwhite;
    border-color: #d6e9c6;
    padding: 5px;
}

.form-inline  {
    margin: 0px;
}

.form-inline .form-radio {
    margin-left: 15px;
}
.form-inline .form-group label {
    padding: 0px;
    margin-top: 5px;
    /* width: 15px; */
}

.form-control[disabled], .form-control[readonly], fieldset[disabled] .form-control {
    background-color: lemonchiffon;
    opacity: 1;
}

.form-button-1 {
    margin-top:22px;
    background-color: darkolivegreen;
}

.input-group-sm > .form-control, .input-group-sm > .input-group-addon, .input-group-sm > .input-group-btn > .btn {
    padding: 1px 3px;
}

.lets_up {
    font-weight: bold;
    color: black;
}

.ui-autocomplete {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    display: none;
    float: left;
    min-width: 160px;
    padding: 5px 0;
    margin: 2px 0 0;
    list-style: none;
    text-align: left;
    background-color: #ffffff;
    border: 1px solid #cccccc;
    border: 1px solid rgba(0, 0, 0, 0.15);
    border-radius: 4px;
    -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
    background-clip: padding-box;
}

.ui-autocomplete > li > div {
    display: block;
    padding: 3px 20px;
    clear: both;
    font-weight: normal;
    line-height: 1.42857143;
    color: #333333;
    white-space: nowrap;
}

.ui-state-hover,
.ui-state-active,
.ui-state-focus {
    text-decoration: none;
    color: #262626;
    background-color: #f5f5f5;
    cursor: pointer;
}

.ui-helper-hidden-accessible {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.input-group-addon, .input-group-btn {
    vertical-align: middle;
}

.input-group[class*=col-] {
    float: none;
    padding-right: 0;
    /* padding-left: 0; */
    vertical-align: text-top;
}

input:required, textarea:required, select:required {
    border-color: #dab3b3;
}

input:invalid, textarea:invalid, select:invalid {
    border-color: red;
}

input:required:invalid, input:focus:invalid {
    /*background-image: url(/images/invalid.png);*/
    background-position: right top;
    background-repeat: no-repeat;
}

input:required:valid {
    /*background-image: url(/images/valid.png);*/
    background-position: right top;
    background-repeat: no-repeat;
}

label {
    font-weight: normal;
}

label span {
    font-size: 1rem;
}

label.error {
    color: red;
    font-size: 1rem;
    display: block;
    margin-top: 5px;
}

input.error {
    border: 1px dashed red;
    font-weight: 300;
    color: red;
}

.not-null-field {
    color: red;
    vertical-align: text-bottom;
    font-weight: bold;
}

.trigger-field {
    color: seagreen;
    vertical-align: text-bottom;
    font-weight: bold;
}

.empty_cell:before{
    color: red;
    content:"\2754";
    margin:5px;
    font-size: 10px;
}

.birthday_cell:before{
    color: green;
    content:"\2655";
    font-size: 10px;
    font-weight: bold;
    margin-right:  5px;
}

.bad_dir:before{
    color: red;
    content:"\2716";
    margin:2px;
    font-size: 13px;
}

.bad_dir{
    color: red;
}

.out_dir:before{
    color: green;
    content:"\27B6";
    margin:2px;
    font-size: 13px;
}

.in_dir:before{
    color: green;
    content:"\2798";
    margin:2px;
    font-size: 13px;
}



.varning_cell:before{
    color: red;
    content:"\2757";
    font-size: 10px;
    font-weight: bold;
    margin-right:  5px;
}

.hurry_up:before{
    color: red;
    content: "\2668";
    font-weight: bold;
    font-size: 16px;
    margin-right:  5px;
}

.print_up:before{
    color: blue;
    font-family:"Glyphicons Halflings";
    content: "\e045";
    font-weight: bold;
    font-size: 10px;
    margin-right:  5px;
}

.sign_up:before{
    color: green;
    font-family:"Glyphicons Halflings";
    content: "\270f";
    font-weight: bold;
    font-size: 10px;
    margin-right:  5px;
}

.gap_filling:before{
    color: red;
    font-family:"Glyphicons Halflings";
    content: "\e107";
    font-weight: bold;
    font-size: 12px;
    margin-right:  5px;
}


.data_new_cell:before{
    color: green;
    content:"\002b";
    font-family:"Glyphicons Halflings";
    font-size: 10px;
    margin-right:  5px;
}

.data_modify_cell:before{
    color: dodgerblue;
    content:"\270f";
    font-family:"Glyphicons Halflings";
    font-size: 10px;
    margin-right:  5px;

}

.data_delete_cell:before{
    color: red;
    content:"\2212";
    font-family:"Glyphicons Halflings";
    font-size: 10px;
    margin-right:  5px;
}

.ready_field:before{
    color: #00cc00;
    content:"\e013";
    font-family:"Glyphicons Halflings";
    font-size: 10px;
    margin-right:  5px;
}

.date_jubileum:before{
    color: greenyellow;
    content:"\e200\e200\e200";
    font-family:"Glyphicons Halflings";
    font-size: 10px;
    margin-right:  5px;
}

.eletkor_cell_3:after{
    min-width: 7px;
    padding: 2px 8px;
    font-size: 10px;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-color: #e40c0c;
    border-radius: 4px;
    content: "3";
    margin-left: 7px;
}

.eletkor_cell_6:after{
    min-width: 7px;
    padding: 2px 8px;
    font-size: 10px;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-color: #e40c0c;
    border-radius: 4px;
    content: "6";
    margin-left: 7px;
}

.eletkor_cell_18:after{
    min-width: 7px;
    padding: 2px 8px;
    font-size: 10px;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-color: #e40c0c;
    border-radius: 4px;
    content: "18";
    margin-left: 7px;
}


/* table */
.table>tbody>tr>td, .table>tbody>tr>th, .table>tfoot>tr>td, .table>tfoot>tr>th, .table>thead>tr>td, .table>thead>tr>th {
    padding: 2px 5px 2px 5px;
    max-width: 600px;
    overflow: hidden;
    border: 1px solid #ddd;
}

.table {
    white-space: nowrap;
}

table select {
    max-width: 100px;
    font-weight: normal;
    color: black;
    margin-left: 10px;
    margin-right: 15px;
    background-color: beige;
}

.table-hover>tbody>tr:hover {
    background-color:lemonchiffon;
}

#itemTable thead th {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
}

#itemTable thead th:first-child {
    left: 0;
    z-index: 1;
}

#itemTable tbody th {
    position: -webkit-sticky;
    position: sticky;
    left: 0;
    border: 1px solid #CCC;
    background-clip: padding-box;
    background-image: url("../images/edit_row_bg.png");
    background-repeat: no-repeat;
    padding: 2px 10px 0px 23px;
}

#itemTable tbody th:hover{
}

#itemTable table {
    border-collapse: collapse;
}


.sortColumn {
    cursor: s-resize;
    color: floralwhite;
}

.sortColumn:after {
    margin: 0px 5px;
    content: "\21f5";
}

.sortColumnUp:after {
    content: "\021A5";
}

.sortColumnDown:after {
    content: "\021A7";
}

.lastRow {
    font-style:  oblique;
    font-weight: 800;
}

.famulus {
    font-weight: bold;
    font-style: italic;
}

.emoji {
    font-weight: 400;
    font-size: 20px;
    font-family: apple color emoji,segoe ui emoji,noto color emoji,android emoji,emojisymbols,emojione mozilla,twemoji mozilla,segoe ui symbol;
}


.search_table_input {
    max-width: 200px;
    height: 20px;
    background-color: lemonchiffon;
}

.panel-heading-row-icon {
    margin: 0px 10px;
    color: white;
}

.table > thead > tr > th,
.table > thead > tr > td {
    font-weight: 400;
    border-bottom: 0;
    background: #51596a;
    text-transform: uppercase;
    color: floralwhite;
    text-align: left;
}

.panel-body {
    padding: 2px;
}

#PrintDiv {
    overflow: auto;
    margin: 0px;
    padding: 0px;
}

.scroll {
    overflow: auto;
}

div.day-number {
    float: right;
    height: 20px;
    padding: 2px;
    margin: -4px -4px 4px 0px;
    border: 1px solid darkseagreen;
    text-align: right
}

.week {
    color: darkblue;
}

.ui-widget-header {
    border: 1px solid #dddddd;
    background: lightcoral;
    color: #333333;
    font-weight: bold;
}

.ui-tabs .ui-tabs-panel {
    display: block;
    border-width: 0;
    padding: 0px;
    background: none;
}



.ui-accordion .ui-accordion-content {
    padding: 0.8em 0.2em;
    border-top: 0;
    overflow: auto;
    height: auto;
}

.ui-accordion .ui-accordion-header {
    margin: 0 0 0 0;
}

.dataTables_wrapper .dataTables_length {
    float: left;
    font-size: 15px;
    margin-left: 10px;
}

.dataTables_wrapper .dataTables_filter {
    float: right;
    text-align: right;
    font-size: 15px;
    margin-right: 10px;
}

.dropdown-large {
    position: static !important;
}
.dropdown-menu-large {
    margin-left: 16px;
    margin-right: 16px;
    padding: 20px 0px;
    min-width: 650px;
}
.dropdown-menu-large > li > ul {
    padding: 0;
    margin: 0;
}
.dropdown-menu-large > li > ul > li {
    list-style: none;
}
.dropdown-menu-large > li > ul > li > a {
    display: block;
    padding: 3px 20px;
    clear: both;
    font-weight: normal;
    line-height: 1.428571429;
    color: #333333;
    white-space: normal;
}
.dropdown-menu-large > li ul > li > a:hover,
.dropdown-menu-large > li ul > li > a:focus {
    text-decoration: none;
    color: #262626;
    background-color: #f5f5f5;
}
.dropdown-menu-large .disabled > a,
.dropdown-menu-large .disabled > a:hover,
.dropdown-menu-large .disabled > a:focus {
    color: #999999;
}
.dropdown-menu-large .disabled > a:hover,
.dropdown-menu-large .disabled > a:focus {
    text-decoration: none;
    background-color: transparent;
    background-image: none;
    filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
    cursor: not-allowed;
}
.dropdown-menu-large .dropdown-header {
    color: #428bca;
    font-size: 18px;
}
@media (max-width: 768px) {
    .dropdown-menu-large {
        margin-left: 0 ;
        margin-right: 0 ;
    }
    .dropdown-menu-large > li {
        margin-bottom: 30px;
    }
    .dropdown-menu-large > li:last-child {
        margin-bottom: 0;
    }
    .dropdown-menu-large .dropdown-header {
        padding: 3px 15px !important;
    }
}


.md-modal {
    margin: auto;
    position: fixed;
    top: 100px;
    left: 0;
    right: 0;
    width: 90%;
    height: auto;
    z-index: 2000;
    visibility: hidden;
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    backface-visibility: hidden;
    background-color: whitesmoke;
}

.md-show {
    visibility: visible;
}

.ui-dialog .ui-dialog-buttonpane {
    background-color: chocolate;
}

.hide_search_row {
    display: none;
}

.SearchFields {
    margin: 5px 5px;
    display: flex;
    transition: opacity 0.3s;
    height: 30px;
    font-family: sans-serif;
    font-size: 10px;
}

.SearchFields label{
    width: 150px;
    text-align: right;
    margin-right: 10px;
}

.SearchFields input{
    padding: 5px 5px;
    width: 150px;
    border: thin solid #d4d4d4;
    color: #ab1919;
    background-color: #f9f9f9;
}
.SearchFields input:focus{
    outline: none;
}

.SearchFields span{
    display: inline-block;
    margin-left: 10px;
    cursor: pointer;
    background-color: #f9f9f9;
    padding: 10px;
    transition: all 0.3s;
    font-weight: bold;
    border: thin solid #d4d4d4;
}
.SearchFields span:last-child{

}
.SearchFields span:hover{
    background-color: green;
    border: thin solid green;
    color: #fff;
}
.SearchFields span:last-child:hover{
    background-color: red;
    border: thin solid red;
    color: #fff;
}

.form-check {
    display: block;
    text-align: center;
    margin-right: 10px;
}

.col_hover:hover {
    width:auto;

}